### Method

# Gdk GLContextset_allowed_apis

since: 4.6

#### Declaration [src]

    void
    gdk_gl_context_set_allowed_apis (
      GdkGLContext* self,
      GdkGLAPI apis
    )

#### Description [src]

Sets the allowed APIs. When `gdk_gl_context_realize()` is called, only the allowed APIs will be tried. If you set this to 0, realizing will always fail.

If you set it on a realized context, the property will not have any effect. It is only relevant during gdk_gl_context_realize().

By default, all APIs are allowed.

Available since: 4.6

Sets property | `Gdk.GLContext:allowed-apis`

#### Parameters

`apis`

  Type: `GdkGLAPI`

  The allowed APIs.